
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for src/controllers</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../prettify.css" />
    <link rel="stylesheet" href="../../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../../index.html">All files</a> src/controllers</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">11.45% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>465/4059</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">100% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>0/0</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">0% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>0/94</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">11.45% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>465/4059</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
        <template id="filterTemplate">
            <div class="quiet">
                Filter:
                <input oninput="onInput()" type="search" id="fileSearch">
            </div>
        </template>
    </div>
    <div class='status-line low'></div>
    <div class="pad1">
<table class="coverage-summary">
<thead>
<tr>
   <th data-col="file" data-fmt="html" data-html="true" class="file">File</th>
   <th data-col="pic" data-type="number" data-fmt="html" data-html="true" class="pic"></th>
   <th data-col="statements" data-type="number" data-fmt="pct" class="pct">Statements</th>
   <th data-col="statements_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="branches" data-type="number" data-fmt="pct" class="pct">Branches</th>
   <th data-col="branches_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="functions" data-type="number" data-fmt="pct" class="pct">Functions</th>
   <th data-col="functions_raw" data-type="number" data-fmt="html" class="abs"></th>
   <th data-col="lines" data-type="number" data-fmt="pct" class="pct">Lines</th>
   <th data-col="lines_raw" data-type="number" data-fmt="html" class="abs"></th>
</tr>
</thead>
<tbody><tr>
	<td class="file low" data-value="auth.controller.js"><a href="auth.controller.js.html">auth.controller.js</a></td>
	<td data-value="27.16" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 27%"></div><div class="cover-empty" style="width: 73%"></div></div>
	</td>
	<td data-value="27.16" class="pct low">27.16%</td>
	<td data-value="81" class="abs low">22/81</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="5" class="abs low">0/5</td>
	<td data-value="27.16" class="pct low">27.16%</td>
	<td data-value="81" class="abs low">22/81</td>
	</tr>

<tr>
	<td class="file low" data-value="file.controller.js"><a href="file.controller.js.html">file.controller.js</a></td>
	<td data-value="19.09" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 19%"></div><div class="cover-empty" style="width: 81%"></div></div>
	</td>
	<td data-value="19.09" class="pct low">19.09%</td>
	<td data-value="110" class="abs low">21/110</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="5" class="abs low">0/5</td>
	<td data-value="19.09" class="pct low">19.09%</td>
	<td data-value="110" class="abs low">21/110</td>
	</tr>

<tr>
	<td class="file low" data-value="meeting.controller.js"><a href="meeting.controller.js.html">meeting.controller.js</a></td>
	<td data-value="8.65" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 8%"></div><div class="cover-empty" style="width: 92%"></div></div>
	</td>
	<td data-value="8.65" class="pct low">8.65%</td>
	<td data-value="335" class="abs low">29/335</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="6" class="abs low">0/6</td>
	<td data-value="8.65" class="pct low">8.65%</td>
	<td data-value="335" class="abs low">29/335</td>
	</tr>

<tr>
	<td class="file low" data-value="message.controller.js"><a href="message.controller.js.html">message.controller.js</a></td>
	<td data-value="20.1" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 20%"></div><div class="cover-empty" style="width: 80%"></div></div>
	</td>
	<td data-value="20.1" class="pct low">20.1%</td>
	<td data-value="199" class="abs low">40/199</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="5" class="abs low">0/5</td>
	<td data-value="20.1" class="pct low">20.1%</td>
	<td data-value="199" class="abs low">40/199</td>
	</tr>

<tr>
	<td class="file low" data-value="notification.controller.js"><a href="notification.controller.js.html">notification.controller.js</a></td>
	<td data-value="22.36" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 22%"></div><div class="cover-empty" style="width: 78%"></div></div>
	</td>
	<td data-value="22.36" class="pct low">22.36%</td>
	<td data-value="76" class="abs low">17/76</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="3" class="abs low">0/3</td>
	<td data-value="22.36" class="pct low">22.36%</td>
	<td data-value="76" class="abs low">17/76</td>
	</tr>

<tr>
	<td class="file low" data-value="permission.controller.js"><a href="permission.controller.js.html">permission.controller.js</a></td>
	<td data-value="19.85" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 19%"></div><div class="cover-empty" style="width: 81%"></div></div>
	</td>
	<td data-value="19.85" class="pct low">19.85%</td>
	<td data-value="136" class="abs low">27/136</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="5" class="abs low">0/5</td>
	<td data-value="19.85" class="pct low">19.85%</td>
	<td data-value="136" class="abs low">27/136</td>
	</tr>

<tr>
	<td class="file low" data-value="phase.controller.js"><a href="phase.controller.js.html">phase.controller.js</a></td>
	<td data-value="11.29" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 11%"></div><div class="cover-empty" style="width: 89%"></div></div>
	</td>
	<td data-value="11.29" class="pct low">11.29%</td>
	<td data-value="248" class="abs low">28/248</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="5" class="abs low">0/5</td>
	<td data-value="11.29" class="pct low">11.29%</td>
	<td data-value="248" class="abs low">28/248</td>
	</tr>

<tr>
	<td class="file low" data-value="project.controller.js"><a href="project.controller.js.html">project.controller.js</a></td>
	<td data-value="9.82" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 9%"></div><div class="cover-empty" style="width: 91%"></div></div>
	</td>
	<td data-value="9.82" class="pct low">9.82%</td>
	<td data-value="804" class="abs low">79/804</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="18" class="abs low">0/18</td>
	<td data-value="9.82" class="pct low">9.82%</td>
	<td data-value="804" class="abs low">79/804</td>
	</tr>

<tr>
	<td class="file low" data-value="role.controller.js"><a href="role.controller.js.html">role.controller.js</a></td>
	<td data-value="15.22" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 15%"></div><div class="cover-empty" style="width: 85%"></div></div>
	</td>
	<td data-value="15.22" class="pct low">15.22%</td>
	<td data-value="197" class="abs low">30/197</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="6" class="abs low">0/6</td>
	<td data-value="15.22" class="pct low">15.22%</td>
	<td data-value="197" class="abs low">30/197</td>
	</tr>

<tr>
	<td class="file low" data-value="room.controller.js"><a href="room.controller.js.html">room.controller.js</a></td>
	<td data-value="29.16" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 29%"></div><div class="cover-empty" style="width: 71%"></div></div>
	</td>
	<td data-value="29.16" class="pct low">29.16%</td>
	<td data-value="48" class="abs low">14/48</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="2" class="abs low">0/2</td>
	<td data-value="29.16" class="pct low">29.16%</td>
	<td data-value="48" class="abs low">14/48</td>
	</tr>

<tr>
	<td class="file low" data-value="task.controller.js"><a href="task.controller.js.html">task.controller.js</a></td>
	<td data-value="6.21" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 6%"></div><div class="cover-empty" style="width: 94%"></div></div>
	</td>
	<td data-value="6.21" class="pct low">6.21%</td>
	<td data-value="982" class="abs low">61/982</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="12" class="abs low">0/12</td>
	<td data-value="6.21" class="pct low">6.21%</td>
	<td data-value="982" class="abs low">61/982</td>
	</tr>

<tr>
	<td class="file low" data-value="trail.controller.js"><a href="trail.controller.js.html">trail.controller.js</a></td>
	<td data-value="6.71" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 6%"></div><div class="cover-empty" style="width: 94%"></div></div>
	</td>
	<td data-value="6.71" class="pct low">6.71%</td>
	<td data-value="149" class="abs low">10/149</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="3" class="abs low">0/3</td>
	<td data-value="6.71" class="pct low">6.71%</td>
	<td data-value="149" class="abs low">10/149</td>
	</tr>

<tr>
	<td class="file low" data-value="user.controller.js"><a href="user.controller.js.html">user.controller.js</a></td>
	<td data-value="12.53" class="pic low">
	<div class="chart"><div class="cover-fill" style="width: 12%"></div><div class="cover-empty" style="width: 88%"></div></div>
	</td>
	<td data-value="12.53" class="pct low">12.53%</td>
	<td data-value="694" class="abs low">87/694</td>
	<td data-value="100" class="pct high">100%</td>
	<td data-value="0" class="abs high">0/0</td>
	<td data-value="0" class="pct low">0%</td>
	<td data-value="19" class="abs low">0/19</td>
	<td data-value="12.53" class="pct low">12.53%</td>
	<td data-value="694" class="abs low">87/694</td>
	</tr>

</tbody>
</table>
</div>
                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank" rel="noopener noreferrer">istanbul</a>
                at 2023-08-30T13:21:29.306Z
            </div>
        <script src="../../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../../sorter.js"></script>
        <script src="../../block-navigation.js"></script>
    </body>
</html>
    